net.minecraft.client.audio

## Class PositionedSoundRecord

- java.lang.Object
- - net.minecraft.client.audio.PositionedSound
  - - net.minecraft.client.audio.PositionedSoundRecord

- All Implemented Interfaces:
    ISound

      public class PositionedSoundRecord
      extends PositionedSound

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.minecraft.client.audio.ISound

      `ISound.AttenuationType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.audio.PositionedSound

      `field_147663_c, field_147664_a, field_147665_h, field_147666_i, repeat, volume, xPosF, yPosF, zPosF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionedSoundRecord(ResourceLocation p_i45107_1_, float p_i45107_2_, float p_i45107_3_, float p_i45107_4_, float p_i45107_5_, float p_i45107_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PositionedSoundRecord` | `func_147673_a(ResourceLocation p_147673_0_)`
    `static PositionedSoundRecord` | `func_147674_a(ResourceLocation p_147674_0_, float p_147674_1_)`
    `static PositionedSoundRecord` | `func_147675_a(ResourceLocation p_147675_0_, float p_147675_1_, float p_147675_2_, float p_147675_3_)`

    - ### Methods inherited from class net.minecraft.client.audio.PositionedSound

      `canRepeat, getAttenuationType, getPitch, getPositionedSoundLocation, getRepeatDelay, getVolume, getXPosF, getYPosF, getZPosF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionedSoundRecord

          public PositionedSoundRecord(ResourceLocation p_i45107_1_,
                               float p_i45107_2_,
                               float p_i45107_3_,
                               float p_i45107_4_,
                               float p_i45107_5_,
                               float p_i45107_6_)

  - ### Method Detail

    - #### func_147674_a

          public static PositionedSoundRecord func_147674_a(ResourceLocation p_147674_0_,
                                            float p_147674_1_)

    - #### func_147673_a

          public static PositionedSoundRecord func_147673_a(ResourceLocation p_147673_0_)

    - #### func_147675_a

          public static PositionedSoundRecord func_147675_a(ResourceLocation p_147675_0_,
                                            float p_147675_1_,
                                            float p_147675_2_,
                                            float p_147675_3_)